> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetoplaydash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get test entity

> Get a test entity along with its outcomes and the attempts (including screenshots, videos, traces and Lighthouse reports) for each outcome.

<Info>Replace `{your-subdomain}` with your workspace's subdomain. <br /> Learn how to find your subdomain in [Workspace subdomain](/getting-started/workspace-subdomain).</Info>


## OpenAPI

````yaml bundled/playdash.yaml GET /projects/{project_id}/runs/{run_id}/test_entities/{test_entity_id}
openapi: 3.0.3
info:
  title: NeetoPlaydash APIs
  version: 1.0.0
  description: >-
    APIs to read projects, runs, test entities, result histories and traces from
    NeetoPlaydash.
servers:
  - description: NeetoPlaydash APIs
    url: https://{your-subdomain}.neetoplaydash.com/api/external/v1
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/getting-started/workspace-subdomain).
security: []
tags:
  - name: Projects
    description: APIs to list projects in the workspace.
  - name: Runs
    description: APIs to list runs and fetch a run with its specs.
  - name: Test Entities
    description: APIs to list test entities and fetch a test entity with its outcomes.
  - name: Result Histories
    description: APIs to fetch the historical results of a test entity.
  - name: Traces
    description: APIs to fetch Playwright traces for a run or a test entity.
paths:
  /projects/{project_id}/runs/{run_id}/test_entities/{test_entity_id}:
    get:
      tags:
        - Test Entities
      summary: Get test entity
      description: >-
        Get a test entity along with its outcomes and the attempts (including
        screenshots, videos, traces and Lighthouse reports) for each outcome.
      operationId: getTestEntity
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/accept_header'
        - $ref: '#/components/parameters/project_id_param'
        - $ref: '#/components/parameters/run_id_param'
        - $ref: '#/components/parameters/test_entity_id_param'
      responses:
        '200':
          description: OK - Request succeeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/test_entity_detail_response'
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/getting-started/authentication) for more information.
      required: true
      schema:
        type: string
    accept_header:
      in: header
      name: Accept
      description: >-
        Specifies the expected response format. Must be set to
        `application/json` for proper API communication.
      required: true
      schema:
        type: string
        enum:
          - application/json
        default: application/json
    project_id_param:
      in: path
      name: project_id
      description: >-
        Id of the project. You can get `project_id` by listing your projects
        using the [List projects](/api-reference/projects/list) API.
      required: true
      schema:
        type: string
        example: pdqmxlz
    run_id_param:
      in: path
      name: run_id
      description: >-
        Id of the run. You can get `run_id` by listing runs using the [List
        runs](/api-reference/runs/list) API.
      required: true
      schema:
        type: string
        example: kftwnab
    test_entity_id_param:
      in: path
      name: test_entity_id
      description: >-
        Id of the test entity (a spec or a test). You can get `test_entity_id`
        by listing test entities using the [List test
        entities](/api-reference/test-entities/list) API.
      required: true
      schema:
        type: string
        example: vhrscje
  schemas:
    test_entity_detail_response:
      type: object
      properties:
        title:
          type: string
          description: Title of the test entity.
          example: adds an item to the cart
        describe_path:
          type: array
          description: Ordered list of ancestor describe blocks leading to this test.
          items:
            type: string
          example:
            - Cart
            - when logged in
        status:
          type: string
          description: Aggregated status of the test entity.
          example: passed
        outcomes:
          type: array
          items:
            $ref: '#/components/schemas/outcome'
    outcome:
      type: object
      properties:
        status:
          type: string
          description: Status of the outcome.
          example: passed
        repeat_each_index:
          type: integer
          nullable: true
          description: Index of the repetition when the test is repeated.
          example: 0
        shard:
          type: integer
          nullable: true
          description: Shard the outcome was executed on.
          example: 1
        is_expected:
          type: boolean
          nullable: true
          description: Whether the outcome matched the expected result.
          example: true
        attempts:
          type: array
          items:
            $ref: '#/components/schemas/attempt'
    attempt:
      type: object
      properties:
        status:
          type: string
          description: Status of this attempt.
          example: passed
        duration:
          type: number
          nullable: true
          description: Duration of the attempt in seconds.
          example: 3.02
        screenshots:
          type: array
          description: URLs of screenshots captured during the attempt.
          items:
            type: string
            format: uri
        videos:
          type: array
          description: URLs of videos captured during the attempt.
          items:
            type: string
            format: uri
        traces:
          type: array
          description: URLs of Playwright traces captured during the attempt.
          items:
            type: string
            format: uri
        lighthouses:
          type: array
          description: URLs of Lighthouse reports captured during the attempt.
          items:
            type: string
            format: uri

````